Bug 2050407 - revert "force cert rotation every couple days for development" in 4.11
Summary: revert "force cert rotation every couple days for development" in 4.11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.11
Hardware: Unspecified
OS: Unspecified
low
urgent
Target Milestone: ---
: 4.11.0
Assignee: Wally
QA Contact: Deepak Punia
URL:
Whiteboard: EmergencyRequest
Depends On:
Blocks: 1999771
TreeView+ depends on / blocked
 
Reported: 2022-02-03 21:47 UTC by Abu Kashem
Modified: 2022-08-10 10:47 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1999771
: 2104003 (view as bug list)
Environment:
Last Closed: 2022-08-10 10:47:09 UTC
Target Upstream Version:
wlewis: needinfo-


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 1307 0 None open Bug 2050407: revert dev cert rotation 2022-06-22 14:07:40 UTC
Red Hat Product Errata RHSA-2022:5069 0 None None None 2022-08-10 10:47:34 UTC

Comment 1 Michal Fojtik 2022-02-03 21:53:15 UTC
** A NOTE ABOUT USING URGENT **

This BZ has been set to urgent severity and priority. When a BZ is marked urgent priority Engineers are asked to stop whatever they are doing, putting everything else on hold.
Please be prepared to have reasonable justification ready to discuss, and ensure your own and engineering management are aware and agree this BZ is urgent. Keep in mind, urgent bugs are very expensive and have maximal management visibility.

NOTE: This bug was automatically assigned to an engineering manager with the severity reset to *unspecified* until the emergency is vetted and confirmed. Please do not manually override the severity.

** INFORMATION REQUIRED **

Please answer these questions before escalation to engineering:

1. Has a link to must-gather output been provided in this BZ? We cannot work without. If must-gather fails to run, attach all relevant logs and provide the error message of must-gather.
2. Give the output of "oc get clusteroperators -o yaml".
3. In case of degraded/unavailable operators, have all their logs and the logs of the operands been analyzed [yes/no]
4. List the top 5 relevant errors from the logs of the operators and operands in (3).
5. Order the list of degraded/unavailable operators according to which is likely the cause of the failure of the other, root-cause at the top.
6. Explain why (5) is likely the right order and list the information used for that assessment.
7. Explain why Engineering is necessary to make progress.

Comment 2 Wally 2022-02-09 20:11:25 UTC
Setting blocker- for now but will add reminder and keep in my queue for visibility.

Comment 9 errata-xmlrpc 2022-08-10 10:47:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.11.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5069


Note You need to log in before you can comment on or make changes to this bug.